package com.ynet.life.loaf;

import com.ynet.life.exception.TranFailException;
import java.io.File;
import java.util.Map;

/* loaded from: com_ynet_life_loaf.jar:com/ynet/life/loaf/LoafConfig.class */
public class LoafConfig {
    public static String DB_TYPE = LoafConstants.DB_TYPE_ORACLE;
    public static String COMPARE_FILE_PATH = "";
    public static String CHANGE_TIP_TGENELATE = "<span class='changedInfo' title='修改前数据为：$originalValue'>$newValue</span>";

    private LoafConfig() {
    }

    public static void initLoafConfig(Map configMap) throws TranFailException {
        String dbType = (String) configMap.get(LoafConstants.DB_TYPE_NAME);
        if (dbType != null) {
            DB_TYPE = dbType;
        }
        String str = (String) configMap.get(LoafConstants.COMPARE_FILE_PATH_NAME);
        String compareFilePath = str;
        if (str != null) {
            if (!compareFilePath.endsWith("/") && !compareFilePath.endsWith("\\\\")) {
                compareFilePath = String.valueOf(compareFilePath) + File.separator;
            }
            COMPARE_FILE_PATH = String.valueOf(compareFilePath) + "compare" + File.separator;
        }
        String loafConfigFile = (String) configMap.get(LoafConstants.LOAF_CONIFG_FILE_NAME);
        if (loafConfigFile != null) {
            DataMappingProvider.initTableConfig(loafConfigFile);
        }
        String compareTemplate = (String) configMap.get(LoafConstants.CHANGE_TIP_TGENELATE);
        if (compareTemplate != null && compareTemplate.length() > 0) {
            CHANGE_TIP_TGENELATE = compareTemplate;
        }
    }
}
